## ros-indigo-roch-follower 1.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_follower)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS nodelet roscpp visualization_msgs roch_msgs depth_image_proc dynamic_reconfigure)
find_package(Boost REQUIRED)

generate_dynamic_reconfigure_options(cfg/Follower.cfg)

catkin_package(
  INCLUDE_DIRS
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS nodelet roscpp visualization_msgs roch_msgs depth_image_proc dynamic_reconfigure
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME} src/follower.cpp)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencfg
  ${roch_msgs_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark all other required files for installation
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY plugins scripts
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  scripts/switch.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_roch_follower.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-roch-follower (1.0.17-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chen <gchen@softrobetch.com>  Sun, 27 May 2018 11:09:26 -0000

ros-indigo-roch-follower (1.0.16-1trusty) trusty; urgency=high

  * Remap email and website.
  * Contributors: doudou0114

 -- Carl <wzhang@softrobetch.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch-follower (1.0.15-1trusty) trusty; urgency=high

  *update to use non deprecated pluginlib macro
  *Author: mikaelarguedas.

 -- Carl <wzhang@softrobetch.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.14-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.13-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.12-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Wed, 29 Mar 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.11-1trusty) trusty; urgency=high

  * Add twist_mux node link.
  * Fixed bug will cause can not promote speed of Roch.

 -- Carl <wzhang@softrobetch.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.10-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Thu, 16 Feb 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.9-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.8-1trusty) trusty; urgency=high

  * Changes permissions of python and config files.

 -- Carl <wzhang@softrobetch.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.7-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobetch.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch-follower (1.0.6-1trusty) trusty; urgency=high

  * Modify launch file for support Roch r200.

 -- Carl <wzhang@softrobetch.com>  Mon, 16 Jan 2017 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch-follower
Section: misc
Priority: extra
Maintainer: Chen <gchen@softrobetch.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-nodelet, ros-indigo-roch-msgs, ros-indigo-roscpp, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/roch_follower
Standards-Version: 3.9.2

Package: ros-indigo-roch-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-nodelet, ros-indigo-roch-bringup, ros-indigo-roch-msgs, ros-indigo-roch-teleop, ros-indigo-roscpp, ros-indigo-topic-tools, ros-indigo-visualization-msgs
Description: Follower for the roch.
 Follows humans and robots around by following the centroid of a box points in front of the roch.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch-follower//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
